{ config, lib, pkgs, ...}: let
  deeplabcut_script = let
    version = "2.3.5";
  in pkgs.stdenvNoCC.mkDerivation {
    pname = "deeplabcut_docker";
    inherit version;
    src = (pkgs.fetchFromGitHub {
      owner = "DeepLabCut";
      repo = "DeepLabCut";
      rev = "v${version}";
      hash = "sha256-VYwpyP+NFouizoDG7h7b8MC3t1O6NKRcM83tUn2GsGo=";
    }) + "/docker/deeplabcut_docker.sh";
    unpackPhase = ''
      cp $src ./
    '';
    installPhase = ''
      mkdir -p $out/bin
      cp * $out/bin
    '';
    isExecutable = true;
    patches = [
      ./deeplabcut.patch
    ];
  };
in {
  environment.systemPackages = with pkgs; [
    xorg.xhost
    deeplabcut_script
  ];
}
