{ config, pkgs, lib, ... }:

{
  services.caddy = {
    enable = true;
  };
  # Need 80 & 443 Enabled so Caddy is externally accessible
  networking.firewall = let
    ports = [ 80 443 ];
  in {
    allowedTCPPorts = ports;
    allowedUDPPorts = ports;
  };
  services.caddy.virtualHosts = lib.mkAfter {
    "*.ws.kcnhub.com" = {
      extraConfig = ''
        error 404
      '';
    };
  };
}
