{ config, lib, pkgs, nixpkgs-unstable, ... }: {
  imports = [
    "${nixpkgs-unstable}/nixos/modules/services/web-apps/guacamole-server.nix"
    "${nixpkgs-unstable}/nixos/modules/services/web-apps/guacamole-client.nix"
  ];

  services.guacamole-server.enable = true;
  services.guacamole-server.package = pkgs.unstable.guacamole-server;
  services.guacamole-server.port = 4822;

  services.guacamole-client.enable = true;
  services.guacamole-client.enableWebserver = true;
  services.guacamole-client.package = pkgs.unstable.guacamole-client;
  services.guacamole-client.settings = {
    guacd-hostname = "localhost";
    guacd-port = 4822;
  };
}
